REST API
Create a task
Creates a task for the key's user.
Required scopes: tasks:create
AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/tasks" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "4d3c2b1a-0f9e-4d8c-9b7a-6f5e4d3c2b1a", "name": "Finish lab report", "description": "Include the error analysis.", "type": "Generic", "subject": "5f0c1d2e-3a4b-4c5d-8e6f-7a8b9c0d1e2f", "dueDate": "2026-02-10T17:00:00.000Z", "completed": false, "created": "2026-01-15T09:30:00.000Z", "updated": "2026-02-01T12:00:00.000Z" }}